<?php use_helper('UrlFunctions'); ?>
<script>

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>
<?php

if(isset($control)){
	
	$cboIngresoDesde = $cboHoraIngresoDesde.":".$cboMinutoIngresoDesde;
	$cboIngresoHasta = $cboHoraIngresoHasta.":".$cboMinutoIngresoHasta;
	
	$cboTardanzaDesde = $cboHoraTardanzaDesde.":".$cboMinutoTardanzaDesde;
	$cboTardanzaHasta = $cboHoraTardanzaHasta.":".$cboMinutoTardanzaHasta;
	
	if($cboIngresoDesde >= $cboIngresoHasta) exit("No puede seleccionar el inicio del ingreso mayor al tope ".$cboIngresoDesde .">=". $cboIngresoHasta);
		if($cboTardanzaDesde >= $cboTardanzaHasta) exit("No puede seleccionar el inicio de la tardanza  mayor al tope ".$cboTardanzaDesde.">=".$cboTardanzaHasta);
		
	
	

  $o_ColaboradorBean = new ColaboradorBean();
 
 
  $o_ColaboradorBean->setDni($Dni);
  $o_ColaboradorBean->setNombres($Nombres);
  $o_ColaboradorBean->setApellidoPaterno($ApellidoPaterno);
  $o_ColaboradorBean->setApellidoMaterno($ApellidoMaterno);
  $o_ColaboradorBean->setTelefono($Telefono);
  $o_ColaboradorBean->setDireccion($Direccion);
  $o_ColaboradorBean->setCelular($Celular);
  $o_ColaboradorBean->setEmail($Email);
  $o_ColaboradorBean->setSueldo($Sueldo);
  $o_ColaboradorBean->setFechaNacimiento($FechaNacimiento);
  $o_ColaboradorBean->setSexo($cboSexo); 
  $o_ColaboradorBean->setEstadoCivil($cboEstadoCivil);
  $o_ColaboradorBean->setEstado($cboEstado);
  $o_ColaboradorBean->setIdRol($IdRol);
   
  $o_ColaboradorBean->setIdTipoColaborador($IdTipoColaborador);
  $o_ColaboradorBean->setIdPadre($IdPadre);
  $o_ColaboradorBean->setGradoInstruccion($cboGradoInstruccion);   
  $o_ColaboradorBean->setNumeroHijos($cboNumeroHijos);
  //$o_ColaboradorBean->setIdTipoColaborador($IdTipoColaborador);
  if(myUser::getUser()->getRoleId() == "sys.res"){
	//$o_ColaboradorBean->setIdRol($cboIdRol);
  }
  
  $o_ColaboradorBean->setFechaIngreso($FechaIngreso);
  
  $o_ColaboradorBean->setPagoRpm($PagoRpm);
  
  
  $o_ColaboradorBean->setPension($cboPension);
  
  
  $o_PensionFN = new RhPensionFN();
  $o_PensionFN->setIdPension($cboPension);
  $o_pension = $o_PensionFN->selectByPK();
 
  if(is_object($o_pension)){
  	$NombrePension = $o_pension->getDescripcion();
  	$TipoP = $o_pension->getTipo();
  	$o_ColaboradorBean->setNombrePension($NombrePension);
  	if($TipoP == 'nacional'){
  		$cboTipoPension = '  ';
  	}
  }else{
  	$o_ColaboradorBean->setNombrePension(" ");
  	$o_ColaboradorBean->setPension("0.00");
  }
  
  
  $o_ColaboradorBean->setTipoPension($cboTipoPension);
  
  $o_ColaboradorBean->setTipoSeguro($cboTipoSeguro); 
  
  $o_ColaboradorBean->setBono($Bono); 
  $o_ColaboradorBean->setTipoPlanilla($cboTipoPlanilla); 
  if(!$AsignacionFamiliar) $o_ColaboradorBean->setAsignacionFamiliar("0.00"); 
  else $o_ColaboradorBean->setAsignacionFamiliar($AsignacionFamiliar); 
  
  
  if($cboTipoSeguro){
  	$o_ColaboradorBean->setNumeroSeguro($NumeroSeguro);
  }else{
  	$o_ColaboradorBean->setTipoSeguro(" ");
  	$o_ColaboradorBean->setNumeroSeguro("-");
  }
  
  if($cboTipoPension){
  	 $o_ColaboradorBean->setNumeroPension($NumeroPension);
  }else{
  	$o_ColaboradorBean->setTipoPension("0.00");
  	$o_ColaboradorBean->setNumeroPension("-");
  }
 
  
  
  $o_ColaboradorBean->setUsuario($Usuario);
  $o_ColaboradorBean->setFechaCreacion(date("Y-m-d H:i:s"));
  $o_ColaboradorBean->setUsuarioCreacion(myUser::getUser()->getUserId());
  $o_ColaboradorSystemClass = new ColaboradorSystemClass($o_ColaboradorBean);
  $bResult = $o_ColaboradorSystemClass->insertColaborador();

  if($bResult){
  	
  	if($Estado == "I") exit("No esta permitido");
    $o_RhMarcacionColaboradorDP = new RhMarcacionColaboradorDP();
	$o_RhMarcacionColaboradorDP->setIdcolaborador($bResult); 	
	$o_RhMarcacionColaboradorDP->setIdregistro("I"); 	
	$o_RhMarcacionColaboradorDP->setIdtipo("N"); 	
	$o_RhMarcacionColaboradorDP->setHoraminutoinicio($cboIngresoDesde);
	$o_RhMarcacionColaboradorDP->setHoraminutofin($cboIngresoHasta);
	$o_RhMarcacionColaboradorDP->setSecuencia(1);
	$o_RhMarcacionColaboradorDP->save();
	
	$o_RhMarcacionColaboradorDP = new RhMarcacionColaboradorDP();
	$o_RhMarcacionColaboradorDP->setIdcolaborador($bResult); 	
	$o_RhMarcacionColaboradorDP->setIdregistro("I"); 	
	$o_RhMarcacionColaboradorDP->setIdtipo("T"); 	
	$o_RhMarcacionColaboradorDP->setHoraminutoinicio($cboTardanzaDesde);
	$o_RhMarcacionColaboradorDP->setHoraminutofin($cboTardanzaHasta);
	$o_RhMarcacionColaboradorDP->setMontodescuento($montodescuento);
	$o_RhMarcacionColaboradorDP->setSecuencia(2);
	$o_RhMarcacionColaboradorDP->save();
	
	
	$o_RhMarcacionColaboradorDP = new RhMarcacionColaboradorDP();
	$o_RhMarcacionColaboradorDP->setIdcolaborador($bResult); 	
	$o_RhMarcacionColaboradorDP->setIdregistro("F"); 	
	$o_RhMarcacionColaboradorDP->setIdtipo("N"); 	
	$o_RhMarcacionColaboradorDP->setHoraminutoinicio($cboTardanzaHasta);
	$o_RhMarcacionColaboradorDP->setHoraminutofin('23:59');
	$o_RhMarcacionColaboradorDP->setMontodescuento($montodescuento);
	$o_RhMarcacionColaboradorDP->setSecuencia(4);
	$o_RhMarcacionColaboradorDP->save();
	
	$con = Conexion::getConexion();
	
	$sql = "UPDATE cr_colaborador 
			SET Estado  = 'I',
				Usuario = CONCAT(Usuario,'_old')
		    WHERE 1 AND IdColaborador= '".$idColaboradorAnterior."'
	      ";
	
	$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	
	if($IdRol == "sys.res"){
		
		$sql = "UPDATE `cr_sucursal` SET `IdAdministrador` = '".$bResult."' WHERE `cr_sucursal`.`IdAdministrador` = '".$idColaboradorAnterior."'    ";
	
		$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
		
		$sql = "UPDATE`cr_colaborador` SET `IdPadre` = '".$bResult."' WHERE `IdPadre` = '".$idColaboradorAnterior."'    ";
	
		$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
		
		$sql = "UPDATE `cr_balance_dia` SET `IdAdministrador` = '".$bResult."' WHERE `IdAdministrador` = '".$idColaboradorAnterior."'    ";
	
		$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
		
		$sql = "UPDATE `cr_balance_general` SET `IdAdministrador` = '".$bResult."' WHERE `IdAdministrador` =  '".$idColaboradorAnterior."'    ";
	
		$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	}
	if($IdRol == "sys.ope" && $IdMercado){
		
		
		$sql = "UPDATE cr_prestamo 
				SET IdColaborador  = '".$bResult."'
			    WHERE 1 AND IdColaborador= '".$idColaboradorAnterior."'
		      ";
		echo $sql;
		
		$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
		$sql = "UPDATE cr_capital_inicial 
				SET IdColaborador  = '".$bResult."'
			    WHERE 1 AND IdColaborador= '".$idColaboradorAnterior."'
		      ";
		echo $sql;
		$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
		
		$sql = "UPDATE cr_pago 
				SET IdColaborador  = '".$bResult."'
			    WHERE 1 AND IdColaborador= '".$idColaboradorAnterior."'
		      ";
		echo $sql;
		$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
		
		
		/************************* Para cronogramas*******/
		$sql = "UPDATE cr_credito_crono 
				SET IdColaborador  = '".$bResult."'
			    WHERE 1 AND IdColaborador= '".$idColaboradorAnterior."'
		      ";
		echo $sql;
		
		/************************* Para cronogramas*******/
		
		
		
		$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
		
		$sql = "UPDATE cr_pedido_prestamo 
				SET IdColaborador  = '".$bResult."'
			    WHERE 1 AND IdColaborador= '".$idColaboradorAnterior."'
		      ";
		echo $sql;
		$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
		
		$sql = "UPDATE cr_mercado_representante 
				  SET IdColaborador  = '".$bResult."'
		    	WHERE 1 AND IdColaborador= '".$idColaboradorAnterior."'
		    		AND  IdMercado= '".$IdMercado."'
		      	";
		echo $sql;
		$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
		
      /*
	  $sql = "UPDATE cr_resumen_produccion 
				  SET IdColaborador  = '".$bResult."'
		    	WHERE 1 AND IdColaborador= '".$idColaboradorAnterior."'
		    		AND  IdMercado= '".$IdMercado."'
		      	";
		echo $sql;
		$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
		*/
      $sql = "UPDATE cr_utilidad 
				  SET IdRepresentante  = '".$bResult."'
		    	WHERE 1 AND IdRepresentante= '".$idColaboradorAnterior."'
		    		AND  IdMercado= '".$IdMercado."'
		      	";
		echo $sql;
		$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
      
	}
	
    $o_UsuarioBean = new UsuarioBean();
    
    $o_UsuarioBean->setUsuarioId($Usuario);
    $o_UsuarioBean->setContrasena($Contrasena);
    $o_UsuarioBean->setRolId($cboIdRol);
    $o_ColaboradorSystemClass->actualizarUser($o_UsuarioBean); 
    
    ?>
    <script language="JavaScript">
    <?php  
    if(myUser::getUser()->getRoleId() == "sys.res" || myUser::getUser()->getRoleId() == "sys.caja" ){?>
	    parent.objMainTab.reqBody('<?=buildUrl('rep/list')?>','&block=001&update=1&cod=<?=$o_ColaboradorBean->getIdColaborador()?>');
	    parent.objMainTab.windowsCloseAll();
	 <?php } ?>
	 <?php if(myUser::getUser()->getRoleId() == "sys.gen" ){?>
	    parent.objMainTab.reqBody('<?=buildUrl('rep/list_gen')?>','&block=001&update=1&cod=<?=$o_ColaboradorBean->getIdColaborador()?>');
	    parent.objMainTab.windowsCloseAll();
	 <?php } ?>
    </script>
    <?
  }else{
    $url = buildUrl('rep/edit', "block=".$block."&error=1");
  }
  
}

//
// 	
$o_RhMarcacionColaboradorFN = new RhMarcacionColaboradorFN();
$o_RhMarcacionColaboradorFN->setIdcolaborador($id); 	
$o_RhMarcacionColaboradorFN->setIdregistro("I"); 	
$o_RhMarcacionColaboradorFN->setIdtipo("N"); 	
$a_o_RhMarcacionColaboradorFN = $o_RhMarcacionColaboradorFN->select();
$o_RhMarcacionColaborador_I_N = $a_o_RhMarcacionColaboradorFN[0];

if(is_object($o_RhMarcacionColaborador_I_N)){
	$cboHoraIngresoDesde = substr($o_RhMarcacionColaborador_I_N->getHoraminutoinicio(),0,2);
	$cboMinutoIngresoDesde = substr($o_RhMarcacionColaborador_I_N->getHoraminutoinicio(),3,2);
	$cboHoraIngresoHasta = substr($o_RhMarcacionColaborador_I_N->getHoraminutofin(),0,2);
	$cboMinutoIngresoHasta = substr($o_RhMarcacionColaborador_I_N->getHoraminutofin(),3,2);
}
/*
echo "<pre>-------";
print_r($o_RhMarcacionColaborador_I_N);
echo "</pre>";
*/
$o_RhMarcacionColaboradorFN = new RhMarcacionColaboradorFN();
$o_RhMarcacionColaboradorFN->setIdcolaborador($id); 	
$o_RhMarcacionColaboradorFN->setIdregistro("I"); 	
$o_RhMarcacionColaboradorFN->setIdtipo("T"); 	
$a_o_RhMarcacionColaboradorFN = $o_RhMarcacionColaboradorFN->select();
$o_RhMarcacionColaborador_I_T = $a_o_RhMarcacionColaboradorFN[0];
/*
echo "<pre>";
print_r($o_RhMarcacionColaborador_I_T);
echo "</pre>";
*/
if(is_object($o_RhMarcacionColaborador_I_T)){
	$cboHoraTardanzaDesde = substr($o_RhMarcacionColaborador_I_T->getHoraminutoinicio(),0,2);
	$cboMinutoTardanzaDesde = substr($o_RhMarcacionColaborador_I_T->getHoraminutoinicio(),3,2);
	$cboHoraTardanzaHasta = substr($o_RhMarcacionColaborador_I_T->getHoraminutofin(),0,2);
	$cboMinutoTardanzaHasta = substr($o_RhMarcacionColaborador_I_T->getHoraminutofin(),3,2);
	$montodescuento = $o_RhMarcacionColaborador_I_T->getMontodescuento();
}
//Tipo Colaborador

$o_ColaboradorSystemClass = new ColaboradorSystemClass(new TipoColaboradorRolBean());
$a_TipoColaboradorRol = $o_ColaboradorSystemClass->getTipoColaboradorRol();

if(myUser::getUser()->getRoleId() == "sys.gen"){
	$a_TipoColaboradorRol = null;
	$o_tipocolaboradorBean = new TipoColaboradorRolBean();
	$o_tipocolaboradorBean->setIdRol("sys.gen");
	$o_tipocolaboradorBean->setDescripcion("Administrador General");
	$a_TipoColaboradorRol[] = $o_tipocolaboradorBean;
	
}

$o_ColaboradorBean = new ColaboradorBean();
$o_ColaboradorBean->setIdColaborador($id);
$o_class = new ColaboradorBL();
$a_ObjectBean = $o_class->busquedaColaborador($o_ColaboradorBean);

 

//Todas especialidades de esa Facultad
	//print_r($a_TipoColaboradorRol);


//---

 $o_Pension = new RhPensionFN();
 $a_pension = $o_Pension->select();
//Cargar el Ubigeo en combos

if(is_array($a_ObjectBean)){
	//print_r($a_ObjectBean);
  while(list($key,$o_ObjectBean) = each($a_ObjectBean)){
  	if($o_ObjectBean->getIdRol()=="sys.gen"){
  		$a_TipoColaboradorRol = null;
  		$o_tipocolaboradorBean = new TipoColaboradorRolBean();
  		$o_tipocolaboradorBean->setIdRol("sys.gen");
		$o_tipocolaboradorBean->setDescripcion("Administrador General");
		$a_TipoColaboradorRol[] = $o_tipocolaboradorBean;
  	}else{
  		$o_TipoColaboradorRolBean = new TipoColaboradorRolBean();

	 	$o_ColaboradorSystemClass = new ColaboradorSystemClass($o_TipoColaboradorRolBean);
		$a_TipoColaboradorRol = $o_ColaboradorSystemClass->getTipoColaboradorRol();
  		
  	}
  	
  	if($o_ObjectBean->getIdRol() == "sys.ope"){
	  	$con = Conexion::getConexion();
	  	 
	  	$sql = "SELECT * 
	  			FROM cr_mercado_representante 
				 
		    	WHERE 1 AND IdColaborador= '".$id."'
		      	";
		//echo $sql;
		
		
		$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	    $num_rows = mysql_num_rows($result);
	    
	    if($num_rows>0){
	      while ($o_valor = mysql_fetch_object($result)) {
	      	$a_mercado[] = $o_valor->IdMercado;
	      }
		  //print_r($a_mercado);
	      $o_MercadoBean = new MercadoBean();
		  $o_MercadoBean->setIdMercados($a_mercado);
		  $o_MercadoDP = new MercadoDP($o_MercadoBean);
		  $a_o_MercadoDP = $o_MercadoDP->select();
	    }
  	}
	
  	
?>
<img src="/images/common/spacer.gif" width="10">
<table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody" valign="top">
            <li>Reemplazar Empleado</li>
            <span class="subtitle"><I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::Dni:<?php echo $o_ObjectBean->getDni();?>&nbsp;-&nbsp;<?php echo $o_ObjectBean->getNombres();?> <?php echo $o_ObjectBean->getApellidoPaterno();?> <?php echo $o_ObjectBean->getApellidoMaterno();?></I></span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td valign="top">
     <form id="form1" name="form1" method="POST">
      <input type="hidden" name="control" value="1">
      <input type="hidden" name="idColaboradorAnterior" value="<?php echo $o_ObjectBean->getIdColaborador();?>">
      <input type="hidden" name="IdRol" value="<?php echo $o_ObjectBean->getIdRol();?>" readonly >
      <input type="hidden" name="IdTipoColaborador" value="<?php echo $o_ObjectBean->getIdTipoColaborador();?>">
      <input type="hidden" name="IdPadre" value="<?php echo $o_ObjectBean->getIdPadre();?>">
      <input type="hidden" name="Estado" value="<?php echo $o_ObjectBean->getEstado();?>">
      
        <table hspace="20px" class="marco" width="99%" style="background: #E3E9E2">
          <tr>
            <td valign="top">
	
              <table width="100%" border="0" cellpadding="5" cellspacing="0">
          		<tr>
    				  <td height="0">
    				  <?php if($o_ObjectBean->getIdRol() == "sys.ope"){?>
    				  	<table width="100%" border="0" cellspacing="6" cellpadding="0">
							  <tr>
								<td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtDniCliente" >Mercado </label></td>
								<td width="38%" nowrap="nowrap"><select name="IdMercado" id="IdMercado" type="text" class="combo required"> 
	  							<option value="" >Seleccione</option>
	  							<?
	  								if(is_array($a_o_MercadoDP)){
	  								 foreach ($a_o_MercadoDP as $iKey => $o_MercadoDP){ ?>
					                  <option value="<?=$o_MercadoDP->getIdMercado()?>">
					                    <?=$o_MercadoDP->getDescripcion()?>
					                  </option>
					              		<?php
										}
  									}?>		  
	  						  </select></td>
								 <td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
								 
							   </tr>
						</table>
						<?php }?>
    				  <fieldset>
    					<legend class="fielsettex"><I>Datos Generales</I></legend>
    					 <table width="100%" border="0" cellspacing="6" cellpadding="0">
							  <tr>
								<td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtDniCliente" >DNI </label></td>
								<td width="38%" nowrap="nowrap"><input id="Dni" name="Dni" size="15" type="text" class="text" value="" maxlength="8" size="8"/></td>
								 <td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
								 <td width="12%" nowrap="nowrap" class="cabecera"><label class="label req" for="txtSexo" >Sexo</label></td>
								  <td nowrap="nowrap" width="38%">
								   <select name="cboSexo" id="cboSexo" type="text" class="combo"> 
									  <option value="" >Selecione</option>
									  <option value="M">Masculino</option>
									  <option value="F">Femenino</option>
							  		</select>
								</td>
							   </tr>
							   <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtNombres" >Nombres </label></td>
								<td nowrap="nowrap"><input class="text required" type="text" name="Nombres" id="Nombres" size="40" maxlength="50" value=""/></td>
								<td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
								 <td width="12%" nowrap="nowrap" class="cabecera"><label class="label req" for="txtEsatdoCivil" >Estado Civil</label></td>
								 <td nowrap="nowrap" width="38%">
								   <select name="cboEstadoCivil" id="cboEstadoCivil" type="text" class="combo"> 
									  <option value="" >Selecione</option>
									  <option value="S">Soltero</option>
									  <option value="C">Casado</option>
									  <option value="D">Divorciado</option>
									  <option value="V">Viudo</option>
							  		</select>
								</td>
							  </tr>
							  <tr>
								<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtApellidoPaterno">Apellido Paterno </label></td>
								<td nowrap="nowrap" width="38%"><input class="text" type="text" name="ApellidoPaterno" id="ApellidoPaterno" value=""/></td>
								 <td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
								 <td width="12%" nowrap="nowrap" class="cabecera"><label class="label req" for="txtFechaNacimiento" >Fecha Nacimiento</label></td>
								 <td nowrap="nowrap"><input class="text"  readonly  type="text" name="FechaNacimiento" id="FechaNacimiento"  maxlength="10" size="8" value="" ondblclick="this.value=''"/><button type="button" onclick="return false" id="btnFechaNacimiento">...</button>
								   <script type="text/javascript">
								     document.getElementById("btnFechaNacimiento").disabled = false;
								     Calendar.setup({
								     inputField : "FechaNacimiento",
								     ifFormat : "%Y-%m-%d",
								     daFormat : "%Y-%m-%d",
								     button   : "btnFechaNacimiento"
								     });
								    </script>
								</td>
							  </tr>
							  
							  <tr>
								<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtApellidoMaterno" >Apellido Materno </label></td>
								<td nowrap="nowrap" width="38%"><input class="text" type="text" name="ApellidoMaterno" id="ApellidoMaterno" value=""/></td>
								<td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtApellidoMaterno" >Fecha Ingreso </label></td>
								 <td nowrap="nowrap"><input class="text"  readonly  type="text" name="FechaIngreso" id="FechaIngreso"  maxlength="10" size="8" value="" ondblclick="this.value=''"/><button type="button" onclick="return false" id="btnFechaIngreso">...</button>
								   <script type="text/javascript">
								     document.getElementById("btnFechaIngreso").disabled = false;
								     Calendar.setup({
								     inputField : "FechaIngreso",
								     ifFormat : "%Y-%m-%d",
								     daFormat : "%Y-%m-%d",
								     button   : "btnFechaIngreso"
								     });
								    </script>
								</td>
							  </tr>
							  <tr>
								<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtDireccion">Direcci&oacute;n</label></td>
								<td nowrap="nowrap" width="38%"><textarea name="Direccion" id="Direccion" cols="50" rows="1"></textarea></td>
								 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								 
							  </tr>
							  <tr>
							   <td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtEstado">Estado</label></td>
								 <td nowrap="nowrap" width="38%">
								    <select name="cboEstado" id="cboEstado" type="text" class="combo" onchange="acutalizarEspecialidad('cboEspecialidad',this)"/> 
									  <option value="A" >Activo</option>
									  <option value="I" >Inactivo</option>
							  		</select>
								 </td>
								 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								  <td width="12%" nowrap="nowrap" class="cabecera"><label class="label req" for="txtEmail" >E-Mail</label></td>
								 <td nowrap="nowrap" width="38%"><input class="text required" type="text" name="Email" id="Email" value=""/></td>
							  </tr>
							  
						</table>
    					</fieldset>				
    				</td>
                </tr>
                <tr>
  				  <td height="0">
				    <fieldset>
					 <legend class="fielsettex"><I>Datos de Planilla</I></legend>
					 <table width="100%" border="0" cellspacing="5" cellpadding="0">
					  <tr>
						<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtDireccion">Tipo Planilla</label></td>
						<td nowrap="nowrap" width="38%"><select name="cboTipoPlanilla" id="cboTipoSeguro" type="text" class="combo"> 
							<option value="" >Seleccione</option>
	  									  <option value="EMPLEADO" <?php  if($o_ObjectBean->getTipoPlanilla() == 'EMPLEADO') echo "selected='selected'"?>>EMPLEADO</option>
	  									  <option value="COLABORADOR" <?php  if($o_ObjectBean->getTipoPlanilla() == 'COLABORADOR') echo "selected='selected'"?>>COLABORADOR DE APOYO</option>
	  						  			</select></td>
						 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
						 <td width="12%" nowrap="nowrap" class="cabecera"><label class="label req" for="txtSueldo" >Sueldo</label></td>
					     <td nowrap="nowrap" width="38%"><input class="text requered" type="text" name="Sueldo" id="Sueldo" size="7" value="<?php echo $o_ObjectBean->getSueldo();?>"/></td>
					  </tr>
					  <tr>
						<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtDireccion">Tipo Seguro</label></td>
						<td nowrap="nowrap" width="38%">
							<select name="cboTipoSeguro" id="cboTipoSeguro" type="text" class="combo"> 
	  							<option value="" >Seleccione</option>
							  <option value="ESSALUD" <?php  if($o_ObjectBean->getTipoSeguro() == 'ESSALUD') echo "selected='selected'"?>>ESSALUD</option>
							  <option value="SIS" <?php  if($o_ObjectBean->getTipoSeguro() == 'SIS') echo "selected='selected'"?>>SIS</option>
	  						  </select>
	  						  <label class="label req">Numero</label>&nbsp;<input class="text requered" type="text" name="NumeroSeguro" id="NumeroSeguro" size="7"  maxlength="30" value="<?php echo $o_ObjectBean->getNumeroSeguro();?>"/>
	  						  </td>
	  					  <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
						 <td width="12%" nowrap="nowrap" class="cabecera"><label class="label req" for="txtSueldo" >Gasto Comunicaciones</label></td>
						 <td nowrap="nowrap" width="38%"><input class="text" type="text" name="PagoRpm" id="PagoRpm" size="7" value="<?php echo $o_ObjectBean->getPagoRpm();?>"/></td>
					  </tr>
					  <tr>
						<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtDireccion">Pension</label></td>
						<td nowrap="nowrap" width="38%">
							<select name="cboPension" id="cboPension" type="text" class="combo"> 
	  							<option value="" >Seleccione</option>
	  							<?
	  							
	  								 foreach ($a_pension as $iKey => $pensionB){ ?>
					                  <option value="<?=$pensionB->getIdPension()?>" <?php  if($pensionB->getIdPension() == $o_ObjectBean->getPension()) echo "selected='selected'"?>>
					                    <?=$pensionB->getDescripcion()?>
					                  </option>
					              		<?php
										}?>		  
	  						  </select>
	  						  <label class="label req">Numero</label>&nbsp;<input class="text requered" type="text" name="NumeroPension" id="NumeroPension" size="7" maxlength="30" value="<?php echo $o_ObjectBean->getNumeroPension();?>"/></td>
	  				     <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
						 <td width="12%" nowrap="nowrap" class="cabecera"><label class="label req" for="txtSueldo" >Tipo Pension</label></td>
						 <td nowrap="nowrap" width="38%">
						 	<select name="cboTipoPension" id="cboTipoPension" type="text" class="combo"> 
	  							<option value="" >Seleccione</option>
	  							<option value="flujo" <?php  if($o_ObjectBean->getTipoPension() == 'flujo') echo "selected='selected'"?> >Flujo</option>
	  							<option value="mixto" <?php  if($o_ObjectBean->getTipoPension() == 'mixto') echo "selected='selected'"?> >Mixto</option>
	  						</select>
						 </td>
					  </tr>
					   <tr>
						<td nowrap="nowrap" width="12%" class="cabecera"><label class="label req" for="txtSueldo" >Bono</label></td>
						<td nowrap="nowrap" width="38%">
							<input class="text" type="text" name="Bono" id="Bono" size="7" value="<?php echo $o_ObjectBean->getBono();?>"/></td>
						 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
						 <td nowrap="nowrap" width="38%" colspan="2"><input type="checkbox" value="1" name="AsignacionFamiliar" id="AsignacionFamiliar" <?php if($o_ObjectBean->getAsignacionFamiliar() ==1) echo "checked"?>><label class="label req" >Asignacion Familiar</label></td>
					  </tr>
					 <tr>
						 <td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtDireccion">Ingreso</label></td>
						 <td nowrap="nowrap" width="38%">
							<select name="cboHoraIngresoDesde" id="cboHoraIngresoDesde" type="text" class="combo required"> 
	  							<option value="" >Hora</option>
	  							<option value="08" <?php if($cboHoraIngresoDesde == "08") echo "selected"?>>08</option>
	  							<option value="09" <?php if($cboHoraIngresoDesde == "09") echo "selected"?>>09</option>
	  							<option value="10" <?php if($cboHoraIngresoDesde == "10") echo "selected"?>>10</option>
	  						</select>
	  						<select name="cboMinutoIngresoDesde" id="cboMinutoIngresoDesde" type="text" class="combo required"> 
	  							<option value="" >Minuto</option>
	  							<option value="00" <?php if($cboMinutoIngresoDesde == "00") echo "selected"?>>00</option>
	  							<option value="05" <?php if($cboMinutoIngresoDesde == "05") echo "selected"?>>05</option>
	  							<option value="10" <?php if($cboMinutoIngresoDesde == "10") echo "selected"?>>10</option>
	  							<option value="20" <?php if($cboMinutoIngresoDesde == "20") echo "selected"?>>20</option>
	  							<option value="30" <?php if($cboMinutoIngresoDesde == "30") echo "selected"?>>30</option>
	  						</select><label class="label">-</label>
	  						<select name="cboHoraIngresoHasta" id="cboHoraIngresoHasta" type="text" class="combo  required"> 
	  							<option value="">Hora</option>
	  							<option value="08" <?php if($cboHoraIngresoHasta == "08") echo "selected"?>>08</option>
	  							<option value="09" <?php if($cboHoraIngresoHasta == "09") echo "selected"?>>09</option>
	  							<option value="10" <?php if($cboHoraIngresoHasta == "10") echo "selected"?>>10</option>
	  						</select>
	  						<select name="cboMinutoIngresoHasta" id="cboMinutoIngresoHasta" type="text" class="combo  required"> 
	  							<option value="" >Minuto</option>
	  							<option value="00" <?php if($cboMinutoIngresoHasta == "00") echo "selected"?>>00</option>
	  							<option value="05" <?php if($cboMinutoIngresoHasta == "05") echo "selected"?>>05</option>
	  							<option value="10" <?php if($cboMinutoIngresoHasta == "10") echo "selected"?>>10</option>
	  							<option value="15" <?php if($cboMinutoIngresoHasta == "15") echo "selected"?>>15</option>
	  							<option value="20" <?php if($cboMinutoIngresoHasta == "20") echo "selected"?>>20</option>
	  							<option value="30" <?php if($cboMinutoIngresoHasta == "30") echo "selected"?>>30</option>
	  						</select>
	  						</td>
						 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
						 </tr>
						 <tr>
						  <td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtDireccion">Tardanza</label></td>
						 <td nowrap="nowrap" width="38%">
							<select name="cboHoraTardanzaDesde" id="cboHoraTardanzaDesde" type="text" class="combo"> 
	  							<option value="" >Hora</option>
	  							<option value="08" <?php if($cboHoraTardanzaDesde == "08") echo "selected"?>>08</option>
	  							<option value="09" <?php if($cboHoraTardanzaDesde == "09") echo "selected"?> >09</option>
	  							<option value="10" <?php if($cboHoraTardanzaDesde == "10") echo "selected"?> >10</option>
	  						</select>
	  						<select name="cboMinutoTardanzaDesde" id="cboMinutoTardanzaDesde" type="text" class="combo"> 
	  							<option value="" >Minuto</option>
	  							<option value="00" <?php if($cboMinutoTardanzaDesde == "00") echo "selected"?>>00</option>
	  							<option value="05" <?php if($cboMinutoTardanzaDesde == "05") echo "selected"?>>05</option>
	  							<option value="10" <?php if($cboMinutoTardanzaDesde == "10") echo "selected"?>>10</option>
	  							<option value="15" <?php if($cboMinutoTardanzaDesde == "15") echo "selected"?>>15</option>
	  							<option value="20" <?php if($cboMinutoTardanzaDesde == "20") echo "selected"?>>20</option>
	  							<option value="30" <?php if($cboMinutoTardanzaDesde == "30") echo "selected"?>>30</option>
	  						</select><label class="label">-</label>
	  						<select name="cboHoraTardanzaHasta" id="cboHoraTardanzaHasta" type="text" class="combo"> 
	  							<option value="" >Hora</option>
	  							<option value="08" <?php if($cboHoraTardanzaHasta == "08") echo "selected"?>>08</option>
	  							<option value="09" <?php if($cboHoraTardanzaHasta == "09") echo "selected"?>>09</option>
	  							<option value="10" <?php if($cboHoraTardanzaHasta == "10") echo "selected"?>>10</option>
	  							<option value="11" <?php if($cboHoraTardanzaHasta == "11") echo "selected"?>>11</option>
	  							<option value="12" <?php if($cboHoraTardanzaHasta == "12") echo "selected"?>>12</option>
	  						</select>
	  						<select name="cboMinutoTardanzaHasta" id="cboMinutoTardanzaHasta" type="text" class="combo"> 
	  							<option value="" >Minuto</option>
	  							<option value="00" <?php if($cboMinutoTardanzaHasta == "00") echo "selected"?>>00</option>
	  							<option value="10" <?php if($cboMinutoTardanzaHasta == "10") echo "selected"?>>10</option>
	  							<option value="20" <?php if($cboMinutoTardanzaHasta == "20") echo "selected"?>>20</option>
	  							<option value="30" <?php if($cboMinutoTardanzaHasta == "30") echo "selected"?>>30</option>
	  						</select><label class="label">Monto descuento</label><input type="text" class="text required" name="montodescuento" value="<?php echo $montodescuento;?>" size="5">
	  						</td>
					 	 </tr>
					  </table>
					 </fieldset>
					</td>
				</tr>
    			<tr>
  				  <td height="0">
				    <fieldset>
					 <legend class="fielsettex"><I>Otros Datos</I></legend>
  					 <table width="100%" border="0" cellspacing="5" cellpadding="0">
					  <tr>
						 <td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtTelefono">Tel&eacute;fono</label></td>
						 <td nowrap="nowrap" width="38%"><input class="text" type="text" name="Telefono" id="Telefono" value="<?php echo $o_ObjectBean->getTelefono();?>" maxlength="10" size="10"/></td>
						 <td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtCelular">Celular</label></td>
						 <td nowrap="nowrap" width="38%"><input class="text" type="text" name="Celular" id="Celular" value="<?php echo $o_ObjectBean->getCelular();?>" maxlength="12" size="12"/></td>
						 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								 
					  </tr>
  					  <tr>
    					 <td nowrap="nowrap" width="17%" class="cabecera"><label class="label" for="txtGradoInstruccion" >G. Instrucci&oacute;n</label></td>
    					 <td nowrap="nowrap" width="38%">
						   <select name="cboGradoInstruccion" id="cboGradoInstruccion" type="text" class="combo" onchange="acutalizarEspecialidad('cboEspecialidad',this)"> 
								    <option value="" >Selecione</option>
									  <option value="Primaria" <?php  if($o_ObjectBean->getGradoInstruccion() == 'Primaria') echo "selected='selected'"?>>Primaria</option>
									  <option value="Secundaria" <?php  if($o_ObjectBean->getGradoInstruccion() == 'Secundaria') echo "selected='selected'"?>>Secundaria</option>
									  <option value="Superior" <?php  if($o_ObjectBean->getGradoInstruccion() == 'Superior') echo "selected='selected'"?>>Superior</option>
									  
							 </select>
					   	</td>
    					<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtNumeroHijos">Nro. Hijos</label></td>
    					<td nowrap="nowrap">
  						  <select name="cboNumeroHijos" id="cboNumeroHijos" type="text" class="combo" onchange="acutalizarEspecialidad('cboEspecialidad',this)"> 
  							<option value="" >Selecione</option>
  									  <option value="1">1</option>
  									  <option value="2">2</option>
  									  <option value="3">3</option>
  									  <option value="4">4</option>
  									  <option value="5">5</option>
  									  <option value="6">6</option>
  						   </select>
              </td>
  			        </tr>
                 </table>
				 
				</fieldset>
          		</td>
        		</tr>
				<tr>
  				  <td height="0">
				    <fieldset>
					 <legend class="fielsettex"><I> Datos de Usuario </I></legend>
  					 <table width="100%" border="0" cellspacing="5" cellpadding="0">
					  <tr>
						 <td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtDireccion">Tipo de Usuario </label></td>
						 <td nowrap="nowrap">
                        
                       <?php 
                       		if(myUser::getUser()->getRoleId() == "sys.gen" ){?>
                       		<!--<select  name="cboIdRol" id="cboIdRol">
							<option value="" > - Seleccionar - </option>
                     		 <option value="<?=$a_TipoColaboradorRol[0]->getIdRol()?>" <?php  echo " SELECTED "?>>
		                      	<?=$a_TipoColaboradorRol[0]->getDescripcion()?>
		                      </option>
		                      </select>-->
							  <?=$o_ObjectBean->getIdRol();?>
                      <?php 
                      	 }else{?>
							<?=$o_ObjectBean->getIdRol();?>
                      	 	<!--<select class="combo validate-selection " name="cboIdRol" id="cboIdRol">
                      	 	<option value="" > - Seleccionar - </option>-->
                      	 	<?
	                       //	foreach ($a_TipoColaboradorRol as $iKey => $o_TipoColaboradorRolBean){ 
	                       	?>
	                       	<!--<option value="<?=$o_TipoColaboradorRolBean->getIdRol()?>" <?php if($o_TipoColaboradorRolBean->getIdRol() == $o_ObjectBean->getIdRol() ) echo " SELECTED "?>>-->
	                      	<?=$o_TipoColaboradorRolBean->getDescripcion()?>
	                       	<!--</option>
	                       	<?
	                       //}?>
                        	<!-- </select>--><?
                       }
                      ?>
                 	  
                 </td>
						 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
						 <td nowrap="nowrap" width="38%">&nbsp;</td>
						 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
					  </tr>
  					  <tr>
  					    <td nowrap="nowrap" class="cabecera"><label class="label">Nombre Usuario </label></td>
  					    <td nowrap="nowrap" width="38%"><label class="label"><?php echo $o_ObjectBean->getUsuario();?></label><input class="text" type="hidden" name="Usuario" id="Usuario" readonly='readonly'  value="<?php echo $o_ObjectBean->getUsuario();?>"/></td>
  					    <td nowrap="nowrap" class="cabecera">&nbsp;</td>
  					    <td nowrap="nowrap">&nbsp;</td>
				       </tr>
  					  <tr>
							 <td nowrap="nowrap" width="17%" class="cabecera"><label class="label" for="txtGradoIntruccion" >Contrase&ntilde;a</label></td>
					    <td nowrap="nowrap" width="38%"><option value="" >
					      <input class="text" type="password" name="Contrasena" id="Contrasena" maxlength="20" size="10"/>
					    </option></td>
							<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
							<td nowrap="nowrap">&nbsp;</td>
						</tr>
					    </table>
						<table width="100%" border="0" cellspacing="0" cellpadding="0">
							  <tr>
								 <td><img src="/images/common/spacer.gif" width="10"></td>
							  </tr>
							  <tr>
								<td align="center">
								  <input type="hidden" name="typeSubmit" id="typeSubmit">
								  <!--<input class="button" type="submit" value="Grabar y Nuevo" onclick="$('typeSubmit').value='add';"/>-->
								  <input class="button" type="submit" value="Grabar" onclick="$('typeSubmit').value='list';">
								  <input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.windowsCloseAll();"/>
								</td>
							  </tr>
							  <tr>
								<td height="10">&nbsp;</td>
							  </tr>
					</table>
					</fieldset>
					  </td>
					</tr>
      			</table>
     		</form>
			<script type="text/javascript">
				var valid = new Validation('form1', {immediate : true});
			</script>
			</td>
  		  </tr>
		</table>
    </td>
  </tr>
</table>
<?php
  }
}
?>
